package com.ruoyi.zdsz.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringGasOpeningBo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringGasOpeningVo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringIndustryTypeVo;

import java.util.Collection;
import java.util.List;

/**
 * 开栓施工Service接口
 *
 * @author ruoyi
 * @date 2024-01-02
 */
public interface IZEngineeringGasOpeningService {

    /**
     * 查询开栓施工
     */
    ZEngineeringGasOpeningVo queryById(String id);

    /**
     * 查询开栓施工列表
     */
    TableDataInfo<ZEngineeringGasOpeningVo> queryPageList(ZEngineeringGasOpeningBo bo, PageQuery pageQuery);

    /**
     * 查询开栓施工列表
     */
    List<ZEngineeringGasOpeningVo> queryList(ZEngineeringGasOpeningBo bo);

    /**
     * 新增开栓施工
     */
    Boolean insertByBo(ZEngineeringGasOpeningBo bo);

    /**
     * 修改开栓施工
     */
    Boolean updateByBo(ZEngineeringGasOpeningBo bo);

    Boolean updateNodeByBo(ZEngineeringGasOpeningBo bo);

    /**
     * 校验并批量删除开栓施工信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    ZEngineeringGasOpeningVo query(String id, String type);
}
